Module java.base
Package java.security.cert

## Class Certificate.CertificateRep

- java.lang.Object
- - java.security.cert.Certificate.CertificateRep

All Implemented Interfaces:
  Serializable

Enclosing class:
  Certificate

    protected static class Certificate.CertificateRep
    extends Object
    implements Serializable

Alternate Certificate class for serialization.

Since:
  1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `CertificateRep(String type, byte[] data)` Construct the alternate Certificate class with the Certificate type and Certificate encoding bytes.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Object` `readResolve()` Resolve the Certificate Object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CertificateRep

    protected CertificateRep(String type,
                             byte[] data)

Construct the alternate Certificate class with the Certificate type and Certificate encoding bytes.

Parameters:
  `type` - the standard name of the Certificate type.
  `data` - the Certificate data.

### Method Detail

#### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

Resolve the Certificate Object.

Returns:
  the resolved Certificate Object
Throws:
  `ObjectStreamException` - if the Certificate could not be resolved